### Method

# FwupdPlugin CfiDevice set_flash_id

since: 1.7.1

#### Declaration [src]

    void
    fu_cfi_device_set_flash_id (
      FuCfiDevice* self,
      const gchar* flash_id
    )

#### Description [src]

Sets the chip ID used to identify the device.

Available since: 1.7.1

Sets property | `FwupdPlugin.CfiDevice:flash-id`

#### Parameters

`flash_id`

  Type: `const gchar*`

  The chip ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.